function onBegin()
	setFlag("lifeSystem",true)
	disableMovement()
	wait(0.1)
	enableMovement()
	while true do
		if (celeste.Input.MenuJournal.Pressed) then
			setFlag("lifeSystem",false)
			teleportTo(160,1008,"intro","Transition")
		end
		if not getFlag("VivHelper/IsPlayerAlive") then
			playMusic("event:/none")
		end
		if (engine.Scene.Session:GetCounter("balloonPoints") >= 10000) then
			--playSound("event:/game/07_summit/checkpoint_confetti")
			setFlag("lifeSystem",false)
			setFlag("balloonTripCleared",true)
			teleportTo(160,1008,"intro","Transition")
		end
		wait()
	end
end